Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class BaseJspListener

    java.lang.Object
      org.apache.jasper.compiler.BaseJspListener

All Implemented Interfaces:
  ParseEventListener

Direct Known Subclasses:
  DumbParseEventListener, JspParseEventListener

public class BaseJspListener
extends java.lang.Object
implements ParseEventListener

An abstract base class to make things easy during development.

Author:
  Anil K. Vijendran

Field Summary
`protected JspReader` | `reader`
`protected ServletWriter` | `writer`

Constructor Summary
`protected` | `BaseJspListener(JspReader reader, ServletWriter writer)`

Method Summary
`void` | `beginPageProcessing()`
`void` | `endPageProcessing()`
`TagLibraries` | `getTagLibraries()`
`void` | `handleBean(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleBeanEnd(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleCharData(Mark start, Mark stop, char[] chars)`
`void` | `handleComment(Mark start, Mark stop)`
`void` | `handleDeclaration(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleDirective(java.lang.String directive, Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleExpression(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleForward(Mark start, Mark stop, java.util.Hashtable attrs, java.util.Hashtable param)`
`void` | `handleGetProperty(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleInclude(Mark start, Mark stop, java.util.Hashtable attrs, java.util.Hashtable param)`
`void` | `handlePlugin(Mark start, Mark stop, java.util.Hashtable attrs, java.util.Hashtable param, java.lang.String fallback)`
`void` | `handleScriptlet(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleSetProperty(Mark start, Mark stop, java.util.Hashtable attrs)`
`void` | `handleTagBegin(Mark start, Mark stop, java.util.Hashtable attrs, java.lang.String prefix, java.lang.String shortTagName, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti)`
`void` | `handleTagEnd(Mark start, Mark stop, java.lang.String prefix, java.lang.String shortTagName, java.util.Hashtable attrs, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti)`
`void` | `setTemplateInfo(Mark start, Mark stop)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected JspReader reader

### writer

    protected ServletWriter writer

Constructor Detail

### BaseJspListener

    protected BaseJspListener(JspReader reader,
                              ServletWriter writer)

Method Detail

### setTemplateInfo

    public void setTemplateInfo(Mark start,
                                Mark stop)

  Specified by:
    `setTemplateInfo` in interface `ParseEventListener`

### beginPageProcessing

    public void beginPageProcessing()
                             throws JasperException

  Specified by:
    `beginPageProcessing` in interface `ParseEventListener`
  Throws:
    `JasperException`

### endPageProcessing

    public void endPageProcessing()
                           throws JasperException

  Specified by:
    `endPageProcessing` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleComment

    public void handleComment(Mark start,
                              Mark stop)
                       throws JasperException

  Specified by:
    `handleComment` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleDirective

    public void handleDirective(java.lang.String directive,
                                Mark start,
                                Mark stop,
                                java.util.Hashtable attrs)
                         throws JasperException

  Specified by:
    `handleDirective` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleDeclaration

    public void handleDeclaration(Mark start,
                                  Mark stop,
                                  java.util.Hashtable attrs)
                           throws JasperException

  Specified by:
    `handleDeclaration` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleScriptlet

    public void handleScriptlet(Mark start,
                                Mark stop,
                                java.util.Hashtable attrs)
                         throws JasperException

  Specified by:
    `handleScriptlet` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleExpression

    public void handleExpression(Mark start,
                                 Mark stop,
                                 java.util.Hashtable attrs)
                          throws JasperException

  Specified by:
    `handleExpression` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleBean

    public void handleBean(Mark start,
                           Mark stop,
                           java.util.Hashtable attrs)
                    throws JasperException

  Specified by:
    `handleBean` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleBeanEnd

    public void handleBeanEnd(Mark start,
                              Mark stop,
                              java.util.Hashtable attrs)
                       throws JasperException

  Specified by:
    `handleBeanEnd` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleGetProperty

    public void handleGetProperty(Mark start,
                                  Mark stop,
                                  java.util.Hashtable attrs)
                           throws JasperException

  Specified by:
    `handleGetProperty` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleSetProperty

    public void handleSetProperty(Mark start,
                                  Mark stop,
                                  java.util.Hashtable attrs)
                           throws JasperException

  Specified by:
    `handleSetProperty` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handlePlugin

    public void handlePlugin(Mark start,
                             Mark stop,
                             java.util.Hashtable attrs,
                             java.util.Hashtable param,
                             java.lang.String fallback)
                      throws JasperException

  Specified by:
    `handlePlugin` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleCharData

    public void handleCharData(Mark start,
                               Mark stop,
                               char[] chars)
                        throws JasperException

  Specified by:
    `handleCharData` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleForward

    public void handleForward(Mark start,
                              Mark stop,
                              java.util.Hashtable attrs,
                              java.util.Hashtable param)
                       throws JasperException

  Specified by:
    `handleForward` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleInclude

    public void handleInclude(Mark start,
                              Mark stop,
                              java.util.Hashtable attrs,
                              java.util.Hashtable param)
                       throws JasperException

  Specified by:
    `handleInclude` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleTagBegin

    public void handleTagBegin(Mark start,
                               Mark stop,
                               java.util.Hashtable attrs,
                               java.lang.String prefix,
                               java.lang.String shortTagName,
                               javax.servlet.jsp.tagext.TagLibraryInfo tli,
                               javax.servlet.jsp.tagext.TagInfo ti)
                        throws JasperException

  Specified by:
    `handleTagBegin` in interface `ParseEventListener`
  Throws:
    `JasperException`

### handleTagEnd

    public void handleTagEnd(Mark start,
                             Mark stop,
                             java.lang.String prefix,
                             java.lang.String shortTagName,
                             java.util.Hashtable attrs,
                             javax.servlet.jsp.tagext.TagLibraryInfo tli,
                             javax.servlet.jsp.tagext.TagInfo ti)
                      throws JasperException

  Specified by:
    `handleTagEnd` in interface `ParseEventListener`
  Throws:
    `JasperException`

### getTagLibraries

    public TagLibraries getTagLibraries()

  Specified by:
    `getTagLibraries` in interface `ParseEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.